//语言
import { lang } from '@/settings/designSetting'
import { createI18n } from 'vue-i18n' //引入vue-i18n组件
import { useLangStore } from '@/store/modules/langStore'
import zh from './zh/index'
import en from './en/index'
import th from './th/index'



 
const langStore = useLangStore()

export const i18n = createI18n({
  globalInjection:true,
  locale: langStore?.lang || lang,
  messages: {
    'zh-CN': zh,
    'en-US': en,
    'th-TH': th
  }
})

// 语言数组
export const langList = [
  {
    label: '简体中文',
    key: 'zh-CN'
  },
  {
    label: 'English',
    key: 'en-US'
  },
  {
    label: 'แบบไทย',
    key: 'th-TH'
  }
]